org.apache.cayenne.query

## Class BatchQueryRow

- java.lang.Object
- - org.apache.cayenne.query.BatchQueryRow

-     public abstract class BatchQueryRow
      extends Object

  Represents a single row of values in a BatchQuery.
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ObjectId` | `objectId`
    `protected Map<String,Object>` | `qualifier`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchQueryRow(ObjectId objectId, Map<String,Object> qualifier)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectId` | `getObjectId()`
    `Map<String,Object>` | `getQualifier()`
    `abstract Object` | `getValue(int i)`
    `protected Object` | `getValue(Map<String,Object> valueMap, DbAttribute attribute)` Used by subclasses to resolve deferred values on demand.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectId

          protected ObjectId objectId

    - #### qualifier

          protected Map<String,Object> qualifier

  - ### Constructor Detail

    - #### BatchQueryRow

          public BatchQueryRow(ObjectId objectId,
                               Map<String,Object> qualifier)

  - ### Method Detail

    - #### getValue

          public abstract Object getValue(int i)

    - #### getQualifier

          public Map<String,Object> getQualifier()

    - #### getObjectId

          public ObjectId getObjectId()

    - #### getValue

          protected Object getValue(Map<String,Object> valueMap,
                                    DbAttribute attribute)

      Used by subclasses to resolve deferred values on demand. This is useful when a certain value comes from a generated key of another master object.

Copyright © 2001–2021 Apache Cayenne. All rights reserved.